<?php

/**
 * Gpesitufuncm
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     SetForms Team <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class GpeSitufuncm extends DaoGpeSitufuncm
{
    protected static $historico_link = 'NRSITUFUNCM';
    protected static $historico_class = 'Gpesitufunch';


    /**
     * Retorna lista de objetos Gpesitufuncm com historico agregado.
     *
     * @param integer $nrOrgPadrao   Numero da Organizacao Padrao.
     * @param integer $nrOrgTrabalho Numero da Organizacao de Trabalho.
     *
     * @return array GpesitufuncmEntity
     *
     * @author alessandrobartels
     *         alessandrobartels - 04/07/2011 - Parametrizacao de $nrOrgPadrao e $nrOrgTrabalho.
     */
    public static function retornaSituacaoFuncional($nrOrgPadrao, $nrOrgTrabalho){

        $sit_func = array();
        try{
            $sit_func = self::getObjectsByWhere(
                'NRORG = ?
                 OR NRORG = ?',
                array(
                 $nrOrgPadrao, $nrOrgTrabalho,
                )
            );
        } catch (Exception $e){
            echo $e->getMessage().'<br />';
        }
        foreach ($sit_func as &$situacao) {
            $dao = $situacao->getDao();
            $historico = Gpesitufunch::retornaUltimoHistorico($dao->NRSITUFUNCM);
            $situacao->historico = $historico;
        }

        return $sit_func;
    }


    /**
     * Retorna o Objeto SituFuncM.
     *
     * @param integer $nrsitufuncm Nr Situa��o Funcional.
     * @param integer $nrorg       Nr org.
     *
     * @return GpesitufuncmEntity
     *
     * @author luistavares - 11/08/2011
     */
    public static function retornaSituFuncPelaChave($nrsitufuncm, $nrorg, $nrorgPadrao = 0){
        $situfuncm = self::getObjectByWhere(
            '(NRORG = ? OR NRORG = ?)
             AND NRSITUFUNCM = ?',
            array(
             $nrorg, $nrorgPadrao, $nrsitufuncm,
            )
        );
        return $situfuncm;
    }


}